Bug 590880 - (alps-touchpad) Trackpad on Dell Latitude E6410 not recognized
Trackpad on Dell Latitude E6410 not recognized
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
: FutureFeature
: 601365 616243 679965 698794 734637 746364 752317 760489 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 16:56 EDT by DM Smith
Modified: 2013-01-10 06:49 EST (History)
74 users (show)

See Also:
Fixed In Version: kernel-3.1.5-2.fc16
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-14 18:39:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to drivers/input/mouse/alps.c (815 bytes, patch)
2010-05-10 16:56 EDT, DM Smith
no flags Details | Diff
Xorg log with alps.c patch applied to kernel (63.20 KB, text/plain)
2010-05-10 16:58 EDT, DM Smith
no flags Details
Xorg log without alps.c patch applied to kernel (55.03 KB, text/plain)
2010-05-10 17:07 EDT, DM Smith
no flags Details
Andrew Skalski's patch enabling vertical scrolling (8.05 KB, patch)
2010-11-02 09:55 EDT, Teva Riou
no flags Details | Diff
full patch of http://people.canonical.com/~sforshee/alps-touchpad/psmouse-alps-0.10/ (46.75 KB, patch)
2011-10-24 07:50 EDT, Sergio Monteiro Basto
no flags Details | Diff

  None (edit)
Description DM Smith 2010-05-10 16:56:44 EDT
Created attachment 412964 [details]
patch to drivers/input/mouse/alps.c

Description of problem:
The trackpad on the Dell E6410 is not recognized. It is an alps trackpad with stick.

From what I can gather the E6510 also uses the same trackpad.

Version-Release number of selected component (if applicable):
This is a kernel problem in drivers/input/mouse/alps.c and is applicable to this and other distributions. I tried it in Fedora 12 and in Ubuntu, too.


How reproducible:
Always.

Steps to Reproduce:
1. Boot
2. Examine /var/log/Xorg.0.log for mention of the ALPS trackpad.
3. run synclient -l
  
Actual results:
The trackpad and track stick have basic mouse functionalities and are not visible via synclient.

Expected results:
The track pad should allow setting of functionality via synclient.

Additional info:
I turned on debug in alps.c and it spit out the following:
alps.c: E6 report: 00 00 64
alps.c: E7 report: 73 02 64

Adding an entry for this (using the same flags as for the E6400) it gave the following status:
alps.c: Status: 10 00 0a

I'm guessing regarding the masks and flags. I know it needs ALPS_PASS and ALPS_DUALPOINT, don't know about the last (nor how to test it).

I've included a patch for alps.c with this change.

However, ...
synclient -l now sees the trackpad and I can set options.

The trackpad and trackstick is handled by "DualPoint Stick" and not "AlpsPS/2 ALPS DualPoint TouchPad". The former is mouse1 and the latter is mouse2.

If I "cat /dev/input/mouse1" it shows all events but nothing for mouse2.

Likewise synclient -m 100 will show a single line of all zeros, but does not show action.

I see no difference in how the trackpad actually works.

Related, Ubuntu applied an entry for "0x73, 0x02, 0x64" with different masks and flags, but had to revert. From what I gathered, it also applied a different driver to the trackpad.
Comment 1 DM Smith 2010-05-10 16:58:43 EDT
Created attachment 412965 [details]
Xorg log with alps.c patch applied to kernel
Comment 2 DM Smith 2010-05-10 17:07:29 EDT
Created attachment 412971 [details]
Xorg log without alps.c patch applied to kernel

Note, the trackpad/stick is PS/2 Generic Mouse (/dev/input/mouse2)
Comment 3 Kevin Kofler 2010-05-10 18:26:56 EDT
Reassign to the correct component (kernel), this has nothing to do with kdewebdev.
Comment 4 Gregg Lebovitz 2010-05-20 21:09:50 EDT
Does the alps.c patch fix this problem?

The Ubuntu fix in 10.04 causes the alps device to be recognized, but it still can't be managed by the pointer management tools.

It looks like a similar problem was reported in Fedora 10 with the E4300.
Comment 5 DM Smith 2010-05-21 09:43:15 EDT
No, the patch does not fix the problem. As in Ubuntu, the device is recognized by the kernel, and it is not manageable.

I've tried with different flags and masks (such as in the Ubuntu patch), but no better.

I think it will ultimately require the maintainer of alps.c to become involved. I'll be reporting this on kernel.org before too long.


However, I think that one might be able to configure the "DualPoint Stick" in xorg rules to do what is wanted. I haven't tried that yet.

BTW, any alps trackpad that has the same signature will have the same problem as alps.c does not have the sig.
Comment 6 sagyvolkov 2010-06-01 17:52:25 EDT
I'm running FC13 E6410, seeing the same issue. 
trackpad is usable in terms of mouse gestures, but the scrolling effect is not working. Anything I can provide that will help?
Comment 7 Sergio Monteiro Basto 2010-06-26 05:46:01 EDT
(In reply to comment #6)
> I'm running FC13 E6410, seeing the same issue. 
> trackpad is usable in terms of mouse gestures, but the scrolling effect is not
> working. Anything I can provide that will help?    

I also got a E6410, I patch kernel 2.6.35-0.2.rc3.git0.fc13.x86_64 with patch above and touchpad appears in synclient -l, but scrolling still don't work, 
appears some missing Properties
 synclient -l | grep missi
    UpDownScrolling         = missing
    LeftRightScrolling      = missing
    UpDownScrollRepeat      = missing
    LeftRightScrollRepeat   = missing
    ScrollButtonRepeat      = missing

synclient UpDownScrollRepeat=1
Property for 'UpDownScrollRepeat' not available. Skipping.
Comment 8 Peter Hutterer 2010-07-05 19:35:40 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > I'm running FC13 E6410, seeing the same issue. 
> > trackpad is usable in terms of mouse gestures, but the scrolling effect is not
> > working. Anything I can provide that will help?    
> 
> I also got a E6410, I patch kernel 2.6.35-0.2.rc3.git0.fc13.x86_64 with patch
> above and touchpad appears in synclient -l, but scrolling still don't work, 
> appears some missing Properties
>  synclient -l | grep missi
>     UpDownScrolling         = missing
>     LeftRightScrolling      = missing
>     UpDownScrollRepeat      = missing
>     LeftRightScrollRepeat   = missing
>     ScrollButtonRepeat      = missing
> 
> synclient UpDownScrollRepeat=1
> Property for 'UpDownScrollRepeat' not available. Skipping.    

these properties are conditional on hardware support. if they're missing that just means that your touchpad doesn't have physical scroll buttons.
Comment 9 sagyvolkov 2010-07-06 13:21:04 EDT
My E6410 came with windows from Dell (of course), the touchpad of course support have all the scroll support, I've used it on the windows machine with no issues.
Comment 10 Chuck Ebbert 2010-07-22 17:28:26 EDT
(In reply to comment #5)
> No, the patch does not fix the problem. As in Ubuntu, the device is recognized
> by the kernel, and it is not manageable.
> 
> I've tried with different flags and masks (such as in the Ubuntu patch), but no
> better.
> 
> I think it will ultimately require the maintainer of alps.c to become involved.
> I'll be reporting this on kernel.org before too long.
> 

Did you report it?
Comment 11 Sergio Monteiro Basto 2010-07-23 10:17:08 EDT
(In reply to comment #10)
> Did you report it?    

Is reported here 
https://bugzilla.kernel.org/show_bug.cgi?id=14660
Comment 12 Chuck Ebbert 2010-07-23 11:11:21 EDT
2.6.34.1-28.fc13 has a patch from 2.6.35-rc6 that fixes recognition of newer Synaptics hardware; I don't know if that will help with this problem.
Comment 13 Sergio Monteiro Basto 2010-07-24 07:17:50 EDT
(In reply to comment #12)
> 2.6.34.1-28.fc13 has a patch from 2.6.35-rc6 that fixes recognition of newer
> Synaptics hardware; I don't know if that will help with this problem.    

don't help, nothing new to report.
Comment 14 cam 2010-08-26 16:12:49 EDT
I have a similar and possibly related problem with my HP 311c (model 311c-1101SA). 

The trackpad is mis-detected and treated as "ImPS/2 Generic Wheel Mouse" according to /proc/bus/input/devices. It is in fact just a pad with a scroll area marked on the right, two buttons and no stick.

The system preferences lack the pad related options.

Also, from time to time, sometimes after suspend/resume, the trackpad becomes erratic and the pointer skittish, being over sensitive, missing tap-to-click, and tending to shoot across to the right of the screen, or move about a bit when the finger leaves the pad. All of which makes me suspect the driver isn't right for the hardware.

I'm going to try and find 2.6.34.1-28.fc13 to see if it works for me.

I use the Nvidia driver but will switch back to the open source one that doesn't do acceleration for testing, even if it means not using gnome-shell for a while.

I found this report after googling and seeing these:
https://bbs.archlinux.org/viewtopic.php?pid=770319
https://bugzilla.kernel.org/show_bug.cgi?id=14660
https://bugs.freedesktop.org/show_bug.cgi?id=28802
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625
- none of which seemed to offer a definitive fix.
Comment 15 cam 2010-08-26 17:36:08 EDT
Just to add that 2.6.34.1-28.fc13 didn't behave better with my hardware (HP 311c)
Comment 16 Jan Vcelak 2010-08-27 04:37:24 EDT
I tried the patch from Rezwanul Kabir (https://patchwork.kernel.org/patch/118834/) and vertical scrolling works well.

And it seems that people from Ubuntu made some progress here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625
Comment 17 Reinout van Schouwen 2010-09-13 07:29:01 EDT
Seeing this problem on Fedora 14 alpha as well (kernel 2.6.35.4-12.fc14.x86_64)
Comment 18 Sean Lawton 2010-10-20 21:52:20 EDT
Has there been any progress on this yet?  Is there an update or an rpm or something other than building a kernel from scratch to get scrolling to work?
Comment 19 kc8hfi 2010-10-29 13:00:01 EDT
I tried the patch from comment 32 at https://bugzilla.kernel.org/show_bug.cgi?id=14660.  The touchpad is recognized in /proc/bus/input/devices

I: Bus=0011 Vendor=0002 Product=0008 Version=7326
N: Name="AlpsPS/2 ALPS GlidePoint"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input5
U: Uniq=
H: Handlers=mouse0 event5 
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=103

What works:
1.  vertical scrolling
2.  tap to click
What dont:
1.  horizontal scrolling

I wanted to see if I could actually talk to the touchpad, so I put this into an empty xorg.conf file:
Section "InputClass"
       Identifier "tap-by-default"
       MatchIsTouchpad "on"
       Option "TapButton1" "0"
EndSection

This should have turned off the tap to click, but it had no effect.

I don't know if this is supposed to use the synaptics_i2c module though.  I ran
synclient -l and it reported "couldn't find synaptics properties.  no synaptics driver loaded?.  So I modprobe synaptics_i2c to load it and synclient -l still gave the same results.
Comment 20 Nate P. 2010-11-02 08:01:06 EDT
Duplicate of <a href="https://bugzilla.redhat.com/show_bug.cgi?id=601365">Bug 601365</a>.
Comment 21 Jan Vcelak 2010-11-02 08:07:01 EDT
*** Bug 601365 has been marked as a duplicate of this bug. ***
Comment 22 Jan Vcelak 2010-11-02 08:08:18 EDT
*** Bug 616243 has been marked as a duplicate of this bug. ***
Comment 23 Sean Lawton 2010-11-02 09:34:36 EDT
How do I add the patch?
Comment 24 Teva Riou 2010-11-02 09:48:51 EDT
Build a custom kernel by following these instructions : 
http://fedoraproject.org/wiki/Docs/CustomKernel
Don't forget to copy the patch in ~/rpmbuild/SOURCES .
Comment 25 Sergio Monteiro Basto 2010-11-02 09:55:20 EDT
The unsupported hardware is reported upstream at:
https://bugzilla.kernel.org/show_bug.cgi?id=14660
he got a initial patch from dell:
https://patchwork.kernel.org/patch/118834/

and other patch from Andrew Skalski, which I do not recommend 
https://bugzilla.kernel.org/show_bug.cgi?id=14660#c32, it based on 1st one but seems made on experimental mode and does seems to be maintained.
Comment 26 Teva Riou 2010-11-02 09:55:23 EDT
Created attachment 457171 [details]
Andrew Skalski's patch enabling vertical scrolling
Comment 27 Sean Lawton 2010-11-03 00:58:46 EDT
This doesn't seem like the sort of thing that should require a custom kernel.  Is there any other way to get scrolling to work?
Comment 28 Bug Zapper 2010-11-03 11:09:26 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 29 DM Smith 2010-11-03 11:37:26 EDT
This applies to all versions of Fedora as the problem is upstream in the kernel. I've bumped it to 13, but it is just as much a problem in 14.

I'm using 14 now.
Comment 30 Sergio Monteiro Basto 2010-11-03 12:44:22 EDT
(In reply to comment #29)
> I'm using 14 now.

so bump to 14 , please
Comment 31 Skippy 2010-11-07 08:47:53 EST
See also bug 650628 : sometimes the touchpad goes nuts.
Comment 32 Skippy 2010-11-07 09:33:02 EST
Forget previous comment, it seems a hardware issue, nothing to do with software.
Comment 33 Giray Devlet 2010-12-07 08:56:14 EST
Same Issue on Dell Precision M4500 with Fedora 14
Comment 34 Kyle McMartin 2010-12-09 14:58:57 EST
https://patchwork.kernel.org/patch/350841/

Still not upstream, we'll pull a fix when one gets committed.
Comment 35 Sergio Monteiro Basto 2010-12-09 15:26:55 EST
(In reply to comment #34)
> https://patchwork.kernel.org/patch/350841/
> 
> Still not upstream, we'll pull a fix when one gets committed.

what you mean by pull a fix ? 
That you have a fix to apply after this patch or that you will apply the patch in Fedora kernel until the bits aren't upstream ?
Comment 36 Kyle McMartin 2010-12-09 15:43:22 EST
I mean that when a fix is merged upstream, we will backport it.
Comment 37 Matthew Garrett 2010-12-09 15:47:25 EST
Adding this patch will not result in the hardware being recognised by the synaptics driver.
Comment 38 Sergio Monteiro Basto 2010-12-11 19:38:04 EST
Hi, good news , patch works for me with 
kernel-2.6.35.9-65.fc14 from src.rpm on
http://koji.fedoraproject.org/koji/buildinfo?buildID=208600
and patch https://patchwork.kernel.org/patch/350841/
Comment 39 Sergio Monteiro Basto 2010-12-19 13:48:24 EST
This patch works very well. 

rpmbuild -ba kernel.spec --with baseonly --target=x86_64 --without debuginfo --without modsign --without firmware --with headers  --define="buildid .sb"
with kernel.spec patched with :

--- kernel.spec.orig    2010-08-04 20:10:35.000000000 +0100
+++ kernel.spec 2010-12-11 10:05:33.822168701 +0000
@@ -587,6 +592,7 @@
 
 # build tweak for build ID magic, even for -vanilla
 Patch05: linux-2.6-makefile-after_link.patch
+Patch06: RESEND-Add-support-for-Intellimouse-Mode-in-ALPS-touchpad-on-Dell-E2-series-Laptops.patch
 
 %if !%{nopatches}
 
@@ -1107,6 +1217,7 @@
 ApplyPatch linux-2.6-build-nonintconfig.patch
 
 ApplyPatch linux-2.6-makefile-after_link.patch
+ApplyPatch RESEND-Add-support-for-Intellimouse-Mode-in-ALPS-touchpad-on-Dell-E2-series-Laptops.patch
 
 #
 # misc small stuff to make things compile

do the job
Comment 40 Sergio Monteiro Basto 2010-12-19 13:52:49 EST
Hi, this touchpad on dell Latitude E6410 is DUALPOINT  ?
if it is , how I test if dualpoint is working or not ?
Comment 41 Matthew Garrett 2010-12-19 13:59:00 EST
This patch does not correctly enable the trackpad on these machines - instead it puts it into intellimouse emulation mode, which forcibly enables scrolling without the ability to disable it. We won't be including it in Fedora.
Comment 42 Germán Racca 2011-02-24 20:01:13 EST
On a recently purchased Dell Vostro 3500, the touchpad vertical and horizontal scrolling don't work.

More info:

$ synclient -l
Couldn't find synaptics properties. No synaptics driver loaded?

$ syndaemon -d
Unable to find a synaptics device.

$ less /proc/bus/input/devices
...
I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input5
U: Uniq=
H: Handlers=mouse0 event5 
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3
...

$ xinput list
⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ PS/2+USB Mouse                          	id=11	[slave  pointer  (2)]
⎜   ↳ PS/2 Generic Mouse                      	id=14	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ Video Bus                               	id=7	[slave  keyboard (3)]
    ↳ Power Button                            	id=8	[slave  keyboard (3)]
    ↳ Sleep Button                            	id=9	[slave  keyboard (3)]
    ↳ HID 413c:8161                           	id=10	[slave  keyboard (3)]
    ↳ Laptop_Integrated_Webcam_2M             	id=12	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=13	[slave  keyboard (3)]
    ↳ Dell WMI hotkeys                        	id=15	[slave  keyboard (3)]

$ uname -rms
Linux 2.6.35.11-83.fc14.x86_64 x86_64
Comment 43 Ankur Sinha (FranciscoD) 2011-02-25 00:54:38 EST
Hi,

Vostro here too. I can't say that the scrolling never works. Sometimes when I reboot they do, sometimes they don't. I'm not how to ascertain why this happens. 

Ankur
Comment 44 Nate P. 2011-06-05 00:41:32 EDT
This bug still present in Fedora 15 Final on Latitude E6510.
Comment 45 cam 2011-06-05 05:16:19 EDT
(In reply to comment #44)
> This bug still present in Fedora 15 Final on Latitude E6510.

Also on Compaq/HP Mini 311c-1101SA

I suspect many machines are affected by this as it's not obvious something is missing when the pointing device seems to work. However, options like turning off the pad when typing would be much appreciated.
Comment 46 Thomas Jürges 2011-06-07 01:35:51 EDT
The problem still(!) persists on Fedora 15 (kernel 2.6.38.6-27.fc15.i686.PAE) on a Dell Latitude E6410.  Here is the relevant output from /proc/bus/input/devices:

I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input5
U: Uniq=
H: Handlers=mouse0 event5
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=3


Cheers,
T.
Comment 47 Matthew Garrett 2011-06-07 07:35:11 EDT
This will remain unfixed until ALPS provide us with information on how to drive their new trackpads.
Comment 48 Paul Visco 2011-06-08 00:26:54 EDT
I tried sending an inquiry to the Alps Electronic Co with a link to this bug report hoping they may be interested in helping to get this working.  There form said they reply in 2-3 business days.  I will report back with whatever they say.  I hope something happens as I am so tired of having to keep patching alps.c to get the trackpad to work on my Dell m4500.
Comment 49 cam 2011-06-08 06:38:21 EDT
(In reply to comment #47)
> This will remain unfixed until ALPS provide us with information on how to drive
> their new trackpads.

That seems a bit defeatist, is there anything else that could be done?

I note that others have had some success with different approaches:

https://lists.ubuntu.com/archives/kernel-bugs/2010-August/130140.html

https://lists.linux-foundation.org/pipermail/bugme-new/2010-September/025615.html

I think it's worth tracking what happens on https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625
as already mentioned in comment #16 here as there does seem to be some progress.
Comment 50 Paul Johnson 2011-06-15 12:26:55 EDT
Like Paul in https://bugzilla.redhat.com/show_bug.cgi?id=590880#c48, I wrote to ALPS.  I wondered  how many of us did that.  Here's the answer:

Dear Paul,

Alps Electric supplies Touchpad and Bluetooth hardware for various PCs and
other electronic devices.  Alps Electric sells it products to Original
Equipment Manufacturers (OEM) and does not sell products directly to
consumers.    Alps' customers, the manufacturers, customize the software
and products for their particular requirements.  Therefore please obtain
software and support directly from the manufacturer or distributor.  If you
are having problems with your Touchpad or Bluetooth devices, please contact
the manufacturer or distributor directly for technical support.

Thanks again and best regards,


========================


That suggests to me that Dell should help us, it does not appear that ALPS is keeping any secrets, the ball is in Dell's court. 

So I've written into the Dell precision email list asking for help. We can see what happens.

"linux on precision m4600: Dell should disclose ALPS API"
http://lists.us.dell.com/pipermail/linux-precision/2011-June/001508.html

We have to keep hoping.  

pj
Comment 51 Gregg Lebovitz 2011-06-15 13:27:32 EDT
cam,

So far the fixes on ubuntu have been somewhat useless. They get the kernel to recognize the pad, but important functionality is not there.

paul,

I wrote to Dell last year about this and they pointed me to the Dell Ubuntu team who had nothing much to offer. I hope you have better luck.
Comment 52 Sergio Monteiro Basto 2011-06-17 16:47:28 EDT
(In reply to comment #50)
> Like Paul in https://bugzilla.redhat.com/show_bug.cgi?id=590880#c48, I wrote to
> ALPS.  I wondered  how many of us did that.  Here's the answer:
> 
> Dear Paul,
> 
> Alps Electric supplies Touchpad and Bluetooth hardware for various PCs and
> other electronic devices.  Alps Electric sells it products to Original
> Equipment Manufacturers (OEM) and does not sell products directly to
> consumers.    Alps' customers, the manufacturers, customize the software
> and products for their particular requirements.  Therefore please obtain
> software and support directly from the manufacturer or distributor.

I don't think dell made Alps for Microsoft , but Microsoft itself  , so it is false that we should contact Dell.
Comment 53 Paul Johnson 2011-07-11 18:24:10 EDT
Every week or two I call Dell tech support to bother them about this.  I've posted in their forum. I want to share with you a transcript from a chat I had today. I Swear to God this exactly how the chat session transpired. I've cut out the personal identifying stuff, but otherwise it is verbatim. Look down to the part where I put "***" for my favorite part.

07/10/2011 04:13:59PM Agent: "Hello Paul. Thank you for contacting Dell Technical Support. My name is David. While I am bringing up your information, how may I assist you today?"

07/10/2011 04:14:35PM Paul Johnson: "Need to get programming info on this "multi-touch" thing in the Precision M4600. I can't get it to work right in Linux"

07/10/2011 04:15:25PM Agent: "I'm sorry to hear about this problem Paul, we'll work towards a resolution."

07/10/2011 04:17:02PM Agent: "Since we didn't ship the computer with Linux Paul this isn't something we can support. We only provide support and drivers for Windows."

07/10/2011 04:18:18PM Paul Johnson: "Yes, that's why I need the programming information, because you don't support Linux. I got this laptop by mistake, but I'm stuck with it. So I have to make the best of it. Can you help me find out who has the API information. Even same API you give to windows programmers would be fine

07/10/2011 04:19:27PM Agent: "I would help you if I knew how but we don't have contact with Windows programmers or have anything to do with API information."

07/10/2011 04:19:50PM Agent: "I don't know what API is."

07/10/2011 04:20:36PM Agent: "You might be able to find this out from our customer care department, their number is 1.877.671.3355."

07/10/2011 04:20:42PM Paul Johnson: "OK, I've heard that before. But if that device is a "Dell Multitouch touchpad", there must be somebody in the company who knows what it is and how the system communicates with it. API=Applications Programming Interface."

07/10/2011 04:21:48PM Paul Johnson: "Here's another way to ask. Dell just released a new windows driver for the touchpad for Windows. Who wrote that driver, how can I find him/her?"

(***)

07/10/2011 04:22:27PM Agent: "I'm sure there is but I don't have any way of getting information to them. We don't have any contact with Dell internal departments but you could try emailing the request in. I don't have any way of contacting anyone outside our building."

07/10/2011 04:23:02PM Paul Johnson: "Who would I email to? I've been trying to contact them for a month."

07/10/2011 04:23:01PM Agent: "I'll forward the request to my manager but I'm sure he won't have anything either. None of our departments actually talk with other departments."

07/10/2011 04:23:27PM Paul Johnson: "That's kinda funny, really. If you look at what you wrote"

07/10/2011 04:24:21PM Agent: "I'll ask a manager that's here but I'm certain that no one is going to be able to get this info. for you. I'll be right back."

07/10/2011 04:28:54PM Agent: "We have some kind of Linux support department. I'm looking up their number now."

07/10/2011 04:29:08PM Paul Johnson: "In MS Windows, the touchpad shows as an ALPS brand device. Can you confirm they are the manufacturer? Can you get a model number or such for the touchpad?"

07/10/2011 04:30:20PM Agent: "I do know that Alps is always the provider for our touchpads but they don't give us any kind of model number. We really only get the basic info. we need to do our jobs and if we need anything else, it's Google."

07/10/2011 04:30:50PM Agent: "The Linux number is 1-866-622-1947."

07/10/2011 04:32:02PM Paul Johnson: "Someone in your company writes the driver for windows. That person will have the required data. I've already contacted ALPS, they say Dell is free to release the info on the device. But I can't find who at dell has the info"

07/10/2011 04:34:46PM Agent: "Most of Dell's drivers are provided from the individual makers of the drivers but either way we don't have any direct control over where that comes from or any way to process what you're needing. I don't have any other ideas in this aside from the Linux support queue.

07/10/2011 04:36:02PM Paul Johnson: "OK, I'll keep trying. ALPS insists that Dell did write the driver. You can't even tell me the name of the department that has the job of putting the drivers up on your web page? If I could find them, I would be one step closer to the source."

07/10/2011 04:37:33PM Agent: "Honestly, we're a separate department with little actual contact between us and Dell. We just support hardware breakdowns and basic Windows support. If I knew of anything to help you I would tell you."

07/10/2011 04:38:32PM Paul Johnson: "Ah. I thought I was chatting with Dell. Thanks anyway. Bye"


Since then, I've called the phone number. It is an Ubuntu user support line, where apparently they don't know anything at all about touchpads.  And they forwarded me to a couple of different people on the phone, none of whom could help.

There are some threads in the Ubuntu forums on this problem: each with more than 300 posts!

Alps touchpad is recognized but synaptics clients and scrolling do not work
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625


Dell Inspiron N Series, Touchpad recognised as generic PS/2 mouse
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/678103

Touchpad does not work properly in Ubuntu 11.04
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/784965


ALPS Touchpad not recognized
https://bugzilla.kernel.org/show_bug.cgi?id=14660

ALPS touchpad in Dell Latitude E6510 not recognized by kernel 2.6.33
https://bugs.gentoo.org/show_bug.cgi?id=318567
Comment 54 Germán Racca 2011-07-11 18:45:25 EDT
I have to say that after fresh installing Fedora 15 in my Dell Vostro 3500, the vertical and horizontal scrolling works perfectly (see comment 42):

$ less /proc/bus/input/devices
...
I: Bus=0011 Vendor=0002 Product=0007 Version=01b1
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input6
U: Uniq=
H: Handlers=mouse0 event6 
B: PROP=9
B: EV=b
B: KEY=6420 30000 0 0 0 0
B: ABS=260800011000003
...
Comment 55 Sergio Monteiro Basto 2011-07-11 21:20:50 EDT
(In reply to comment #54)
> I have to say that after fresh installing Fedora 15 in my Dell Vostro 3500, the
> vertical and horizontal scrolling works perfectly (see comment 42):

yours touchpad is an ALPS ?
Comment 56 Sergio Monteiro Basto 2011-07-11 21:44:57 EDT
(In reply to comment #55)
> yours touchpad is an ALPS ?
reply to my self , I believe that is yes .

I found this bug report : 
Several Ubuntu-certified Dell laptops: ImPS/2 ALPS GlidePoint configure as PS/2 mouse instead of proper touchpad.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/760142
Comment 57 Gregg Lebovitz 2011-07-11 21:59:59 EDT
Fresh install of Fedora 15 on a Dell E6410 and E6420

less /proc/bus/input/devices


I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input6
U: Uniq=
H: Handlers=mouse0 event6 
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=3

Germán, I don't think your touch pad is the same device that we are discussing here.
Comment 58 Matthew Garrett 2011-07-11 22:43:58 EDT
N: Name="SynPS/2 Synaptics TouchPad"

means it's a Synaptics, not an ALPS.
Comment 59 Germán Racca 2011-07-12 08:34:28 EDT
Ahh OK...but in F14 I had 'N: Name="PS/2 Generic Mouse"' and the same problem described here, that was the reason of my comment 42 ... how do I know if it is ALPS? Maybe lsusb?

$ lsusb
...
Bus 001 Device 006: ID 413c:8162 Dell Computer Corp. Integrated Touchpad [Synaptics]
...

Sorry for the noise :(
Comment 60 Paul Johnson 2011-07-13 01:17:16 EDT
I found several people claiming that the "dell patch" does work for the alps touchpad.  Example

http://budts.be/weblog/2010/12/dell-latitude-e6510-screen-and-touchpad

I applied that ( http://launchpadlibrarian.net/57421117/patch-dell-e6510) and here are the good results. 

1. The right side scroll does work.  

2. ESPECIALLY GOOD NEWS:  while typing, random brushes against the touchpad do not change the cursor position in the text. At least in a Firefox window typing this, and the editor LyX, I can type with one hand and brush the touchpad all I want and the point where I am typing "stays put".  The cursor does move on the screen, but it no longer steals the focal point.

3. Recognition is not so obviously wrong:


$ less /proc/bus/input/devices | more

I: Bus=0011 Vendor=0002 Product=0008 Version=7326
N: Name="AlpsPS/2 ALPS GlidePoint"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input6
U: Uniq=
H: Handlers=mouse0 event6
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=103

Here are the bad parts. I am not able to configure this thing at all. 

1. $ synclient -l
Couldn't find synaptics properties. No synaptics driver loaded?

2. Gnome mouse config tool does not find it:  the app under System / Preferences / Mouse does not find a Touchpad device.
Comment 61 Matthew Garrett 2011-07-13 07:38:33 EDT
Yes, as mentioned in comment 41 this patch simply puts the hardware into intellimouse emulation mode rather than enabling it correctly.
Comment 62 Matthew Garrett 2011-07-13 13:26:11 EDT
I'm told that Dell don't have the necessary specifications and that ALPS are unwilling to release them, so unless someone reverse engineers the protocol there's no way to fix this.
Comment 63 Szymon Stasik 2011-07-13 14:00:15 EDT
Is this an appropriate reason to close this issue? 

I don't believe that new common device cannot be fully functional with bug closed as 'cantfix'. I dont't know the procedures here, but it means to me that according to actual knowledge in this issue there is no chance to get new ALPS fully functional at all now or later. Otherwise IMHO this bug should remains open with some low priority and/or pending status due to lack of knowledge at *this* time.
Comment 64 Paul Johnson 2011-07-13 14:16:41 EDT
Don't close this yet. I am willing to keep fighting for the information. Just tell me what a programmer needs in order to do this.

If you tell me what is required to write a proper driver, I will keep contacting Dell and ALPS to get the information.  The problem for me is that I don't know what actually is required, so I'm not able to put the request as clearly as possible.

I may have found an address at dell where I can ask about this. I found it in another version of the dell patch

http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-maverick.git;a=patch;h=bd79df42218fe1db5e683b567791d4bb97b60685

This version of the patch works better on my Precision M4600, since it allows both "tap to click" and "scrolling".  

I will keep contacting people, if you can tell me more simply what I need to get from them.

To save you the trouble, here's the contact information at the top. 

From bd79df42218fe1db5e683b567791d4bb97b60685 Mon Sep 17 00:00:00 2001
From: Manoj Iyer <manoj.iyer@canonical.com>
Date: Wed, 8 Sep 2010 19:40:57 +0100
Subject: [PATCH] UBUNTU: SAUCE: Add support for Intellimouse Mode in ALPS touchpad on Dell E2 series Laptops

Patch was submitted upstream and has not yet been accepted. Currently many
Dell Latitude systems have a ALPS touchpad and are missing scroll support.
Dell will still be shipping this touchpad with upcoming Latitudes.

Though the issue now is upstream does not want to take the patch, as they
want access to the mulitouch capabilities of the ALPS touchpad. ALPS has
stated they will not give out specs for these capabilities and everyone
should use the patch below, developed by Dell.

OriginalAuthor: Rezwanul Kabir <Rezwanul_Kabir@dell.com>
OriginalLocation: https://patchwork.kernel.org/patch/118834/
BugLink: http://bugs.launchpad.net/bugs/632884

Signed-off-by: Manoj Iyer <manoj.iyer@canonical.com>
Acked-by: Tim Gardner <tim.gardner@canonical.com>
Signed-off-by: Leann Ogasawara <leann.ogasawara@canonical.com>
---
 drivers/input/mouse/alps.c         |   81 ++++++++++++++++++++++++++++++++++++
 drivers/input/mouse/alps.h         |    5 ++
 drivers/input/mouse/psmouse-base.c |    3 +-
 3 files changed, 88 insertions(+), 1 deletions(-)
Comment 65 Matthew Garrett 2011-07-13 14:48:03 EDT
Dell don't have the necessary information. The "Dell Touchpad Driver" is copyright ALPS, not Dell. If ALPS refuse to give the specifications to Dell then I think they're unlikely to hand them out to anyone else, but feel free to ask them. The information required is the initialisation sequence for enabling multitouch or absolute reporting, as well as documentation of the packet format when in this mode.
Comment 66 Sergio Monteiro Basto 2011-07-13 15:01:35 EDT
(In reply to comment #64)

> OriginalLocation: https://patchwork.kernel.org/patch/118834/
> BugLink: http://bugs.launchpad.net/bugs/632884

Paul, this patch has already been mention on this bug report and has been obsolete by https://patchwork.kernel.org/patch/350841/ which fix some problems after suspend and resume (at least on E6410). 

My hope is that some Ubuntu-certified Dell laptops, also have ALPS. 

And I Agree with Matthew. I bet that ALPS made drives for windows.
Comment 67 Szymon Stasik 2011-07-14 05:37:38 EDT
"ALPS made drives for windows" is enough to close the issue?
Comment 68 Kaare Fiedler Christiansen 2011-07-14 06:04:40 EDT
I would have thought that the only thing that could close this bug, would be the closing of
https://bugzilla.kernel.org/show_bug.cgi?id=14660

I find it a little sad that Fedora does not see this issue as something to push, but rather closes the bug with a defeatist "nothing we can do".

There are thousands of systems affected by this bug. Most of the systems in the Dell E-series are affected:
http://www.smolts.org/reports/view_profile/Latitude%20E
Comment 69 Skippy 2011-07-14 06:43:12 EDT
FWIW, I've sent an inquiry to ALPS insisting on the bad advertisement this issue is beginning to induce for them — if you google for simple words even not involving, such as "alps touchpad", some websites complaining for this issue appear as soon as the second page — not to mention specific searches as "alps touchpad bug" or "alps touchpad linux".  Let's hope this argument will hit the bull's eye…
Comment 70 Szymon Stasik 2011-07-14 07:18:16 EDT
anyway is there a chance to reopen this issue?
Comment 71 Matthew Garrett 2011-07-14 09:59:27 EDT
You think it would be better to leave a bug open when we manifestly can't fix it? The current facts are that the vendor has refused to provide documentation, and unless those facts change then the bug cannot be fixed. All avenues that we have to persuade the vendor to change their mind have been tried. If someone else convinces them to, or if someone reverse engineers the protocol, the bug can be reopened. But until then there's nothing that Fedora can do to fix this bug and it's dishonest to leave a bugzilla entry in a state that implies we're doing something about it when we're not.
Comment 72 cam 2011-07-14 10:09:25 EDT
(In reply to comment #71)
> You think it would be better to leave a bug open when we manifestly can't fix
> it? The current facts are that the vendor has refused to provide documentation,
> and unless those facts change then the bug cannot be fixed. All avenues that we
> have to persuade the vendor to change their mind have been tried. If someone
> else convinces them to, or if someone reverse engineers the protocol, the bug
> can be reopened. But until then there's nothing that Fedora can do to fix this
> bug and it's dishonest to leave a bugzilla entry in a state that implies we're
> doing something about it when we're not.

Do searches commonly show closed bugs? Because I'd be worried about a steady stream of people realising that they couldn't use the touchpad config on their new laptops... raising new bugs as a result. That's just noise.

The (real world) bug itself exists, and there is some hope that it will be fixed, albeit not directly by the Fedora team.
Comment 73 DM Smith 2011-07-14 10:36:39 EDT
As the OP, I'm adjusting the version to 15. Please reopen! Use this to track the issue until it is fixed.
Comment 74 Nate P. 2011-07-14 11:56:29 EDT
If someone were willing to, launching an Executive Email Carpet Bomb on ALPS Execs may get the job done: http://consumerist.com/2007/05/how-to-launch-an-executive-email-carpet-bomb.html
Comment 75 Kaare Fiedler Christiansen 2011-07-14 12:00:15 EDT
I find it strange to say that "there is nothing more Fedora can do" when several people in this bug are actively trying to communicate with ALPS and Dell.
As I understand it, Fedora is not Redhat, Fedora is the community. It seems to me that we are actively working on this bug right now.

I have contacted Rezwanul Kabir, the Dell author for the patch that enables IntelliMouse support. He has a lot of interesting info, which he kindly allowed me to quote. Here are some snippets from our conversation:
-----
Me:
 Do you, or anyone else at Dell, have the specifications from
 Alps needed to write a full driver? As I understand it, your
 patch will not give full Alps touchpad capabilities, but
 rather initialise it as "Intellimouse mode".
rez:
 Dell does not have this specification. I would have provided the full support otherwise.
 ALPS has refused to provide the specifications due to what they consider as IP issues. They
 agreed to open up only the "Intellimouse Mode" part of the spec and the patch was based
 on that.
Me:
 Thank you, it's nice to have accurate information here, since it seems
 that ALPS have misled others to understand that Dell had the
 information and could release it if they wish.
rez:
 If that is what ALPS is saying, then it's defintely not right.
-----
So Dell does not have the info, it is Alps we should be bugging.

Rez also wrote:
-----
Me:
 I believe this is important for Dell. Even if you do not officially
 support these brands of computers with Linux, it will still hurt sales
 if something as trivial as mouse support doesn't work with Linux on your
 hardware. I hope Dell will make sure that the specifications for the
 Alps touchpad are made available for open source drivers.
rez:
 I agree that we need the full support and I have been working with ALPS to provide
 us a driver that we can install out of the factory. Unfortunately, that driver will
 not be open source. ALPS has already delivered a beta release for RHEL6.0 driver that
 we are testing currently and will be posted for customers after that. Releases for
 Ubuntu versions are also underway.
Me:
 That's very interesting. I'm a little worried, since proprietary
 drivers tend to implement only part of the interfaces, and be very
 difficult to get bugs fixed in.
 For instance the proprietary nvidia driver does not respond well to
 all xrandr extensions, and flash has a few well known semi-trivial
 outstanding bugs that never seem to get any attention. I hope we can
 expect better from ALPS, but I guess we will see.
 I hope the RHEL driver will work with Fedora and other RPM-based
 distributions too...
rez:
 I don't know yet what type of constraints there are with their driver. I agree
 with what you said about proprietery drivers..Definitely not ideal and I have
 communicated our preferences for open source driver to them but they refused
 due to IP issues, as I have mentioned earlier.
-----
So closed-source drivers are on their way for RHEL and Ubuntu.
Dell is pushing for an open source driver, but ALPS refuses.

So it seems the avenues open are getting the information from ALPS or reverse engineering.

I will be copying this information to the kernel.org-bug too.
Comment 76 Matias 2011-08-17 05:05:25 EDT
Hi,

I'm having this same problem with a Dell Latitude 4310, using Fedora 15. I applied the patch and recompiled the kernel and now I can see the "touchpad" tab in the mouse settings, but for some reason those settings are ignored by the touchpad.

I had Ubuntu 11.04 installed previously on this same hardware and the touchpad worked prefectly. Do you think it will be possible to "port" the ubuntu's alps driver to the fedora one?

Thanks.
Comment 77 Paul Johnson 2011-08-17 16:55:47 EDT
In Ubuntu, touchpad worked perfectly?  Maybe our lines are cross. As far as I understand, Ubuntu does not have an "alps driver". The device is never seen as a touchpad. There is no "multi touch" functionality, it does not respond to "synclient" or other touchpad programs.

If you say it did, I will have to go get their code. 

As far as I know, Ubuntu has a patch for the psmouse driver that allows the touchpad to act as if it were an intellimouse.  The touchpad config thing does not work.  If you have 1) right side scroll 2) tap to click 3) double tap to grab, and 4) protection from most incidental pad touching by your palm, you are getting all it is supposed to give.

If that's wrong, please tell me what you know, I'll have to fix my writeup on this. 
http://pj.freefaculty.org/blog/alps-touchpad-linux-final-statement-now
Comment 78 Matias 2011-08-20 14:38:05 EDT
Hi Paul, sorry for the long delay but I haven't had time up to now to confirm it. Just booted again with an ubuntu live 11.04 amd64 and I can confirm that, at least the vertical scrolling, works perfectly there. I dopn't know if it is some kind of emulation or if they do have the driver, but it works, and I think that whatever solution they are applying to this problem would be valid for most of us.

Thanks for your help.
Comment 79 Paul Johnson 2011-08-20 23:26:10 EDT
Matias: That does not clear anything up, really. The patch I mentioned before gives you that right scroll element. If that's all you really need, you should apply it and see if you like it. That makes the touchpad like an intellimouse, it will not respond to "synclient" commands. There is no "two finger scrolling" or control via synclient.

If you start  your ubuntu system again, in a terminal try this:

$ synclient -l

If you see same output that I do:

Unable to find a synaptics device.

It will mean Ubuntu really does not have a touchpad driver. You are just a touchpad being treated like a mouse.  I did write all this out in the blog post I referred to in Comment 76
Comment 80 Matias 2011-08-21 14:19:56 EDT
Hi,

I tried the patch from your blog, and it still doesn't work for me. Probably my touchpad is a different model than yours (It is a Dell Latitude E4310). Also I noticed that on Fedora 15 psmouse is compiled into the kernel, not as a module.

Thanks for your help.
Comment 81 Josh Boyer 2011-08-29 14:01:30 EDT
*** Bug 679965 has been marked as a duplicate of this bug. ***
Comment 82 Sergio Monteiro Basto 2011-09-02 11:03:01 EDT
Here is a new patch 
https://bugzilla.kernel.org/show_bug.cgi?id=14660#c105

reversed engineering and the synclient -l agrees, it lists output! Yeah.
Comment 83 DM Smith 2011-09-02 13:04:39 EDT
I'm the OP.

As it now has a fix, it should not stay as "CANTFIX".

I cannot find a way to reopen or change the status of this issue. Can someone either make the change or let me know how I can?
Comment 84 marti 2011-09-02 13:17:40 EDT
No they can't change the status, because obviously that would be too helpful and accommodating to users. Besides, what's the point of having Bugzilla privileges if you can't impose your authority over others.
Comment 85 Matthew Garrett 2011-09-02 13:21:53 EDT
Following the upstream discussion indicates that the patch is still broken for some people. We'll incorporate it once it's heading upstream.
Comment 86 Matias 2011-09-05 04:14:24 EDT
Hi Sergio.

Just tried it on my Dell Latitude e4310 withot any improvement. Still no vertical scrool. 

Let me know if I can provide any info that could help you.

Thanks!
Comment 87 Sergio Monteiro Basto 2011-09-05 13:56:50 EDT
Please report on 
https://bugzilla.kernel.org/show_bug.cgi?id=14660 

https://bugzilla.kernel.org/show_bug.cgi?id=14660#c123 got new instructions how you could help.

The patch is provided by Seth, I am just a messenger.
Comment 88 ryn heth 2011-09-12 22:25:30 EDT
This may be a bit indecorous but can someone point me somewhere I can download the patch, seeing as the other bug is locked
Comment 89 Sergio Monteiro Basto 2011-09-13 13:42:22 EDT
(In reply to comment #88)
> This may be a bit indecorous but can someone point me somewhere I can download
> the patch, seeing as the other bug is locked

http://www.kernel.org/ 
and https://bugzilla.kernel.org/
are "Down for maintenance" 
you have to wait
Comment 90 Chuck Ebbert 2011-09-14 07:20:22 EDT
*** Bug 734637 has been marked as a duplicate of this bug. ***
Comment 91 Paul Johnson 2011-09-14 16:15:26 EDT
The patch does work well for me on Debian with Kernel 2.6.39

In case kernel.org's downtime continues and you want to see what this patch is, I can help, sorta.

Before kernel.org went down, I downloaded a copy of the psmouse kernel dkms package for Debian systems. I upload a copy here:

http://pj.freefaculty.org/linux/psmouse-alps-dkms_0.1_all.deb

That does not help RPM users, of course, but inside that package, I notice there is folder that has the source code for building the patched module and the dkms config file.  So if you are using dkms, this is like magic.

$ ls
dkms.conf  LICENSE  Makefile  src

$ ls -al src/
total 464
drw-r-xr-x 2 root root  4096 Sep  1 18:25 .
drw-r-xr-x 3 root root  4096 Sep  1 18:25 ..
-rw-r--r-- 1 root root 40859 Sep  1 14:45 alps.c
-rw-r--r-- 1 root root  1320 Sep  1 10:42 alps.h
-rw-r--r-- 1 root root  3618 Sep  1 10:42 amimouse.c
-rw-r--r-- 1 root root 25052 Sep  1 10:42 appletouch.c
-rw-r--r-- 1 root root  3882 Sep  1 10:42 atarimouse.c
-rw-r--r-- 1 root root 27085 Sep  1 10:42 bcm5974.c
-rw-r--r-- 1 root root 21778 Sep  1 10:42 elantech.c
-rw-r--r-- 1 root root  3294 Sep  1 10:42 elantech.h
-rw-r--r-- 1 root root  4888 Sep  1 10:42 gpio_mouse.c
-rw-r--r-- 1 root root 27998 Sep  1 10:42 hgpk.c
-rw-r--r-- 1 root root  2012 Sep  1 10:42 hgpk.h
-rw-r--r-- 1 root root  5446 Sep  1 10:42 inport.c
-rw-r--r-- 1 root root  9110 Sep  1 10:43 Kconfig
-rw-r--r-- 1 root root  8392 Sep  1 10:42 lifebook.c
-rw-r--r-- 1 root root   738 Sep  1 10:42 lifebook.h
-rw-r--r-- 1 root root  5174 Sep  1 10:42 logibm.c
-rw-r--r-- 1 root root 11699 Sep  1 10:42 logips2pp.c
-rw-r--r-- 1 root root   577 Sep  1 10:42 logips2pp.h
-rw-r--r-- 1 root root   560 Sep  1 10:41 Makefile
-rw-r--r-- 1 root root  3575 Sep  1 10:42 maplemouse.c
-rw-r--r-- 1 root root  4680 Sep  1 10:42 pc110pad.c
-rw-r--r-- 1 root root 44009 Sep  1 10:42 psmouse-base.c
-rw-r--r-- 1 root root  4568 Sep  1 10:42 psmouse.h
-rw-r--r-- 1 root root  6676 Sep  1 10:42 pxa930_trkball.c
-rw-r--r-- 1 root root  2954 Sep  1 10:42 rpcmouse.c
-rw-r--r-- 1 root root 21386 Sep  1 10:42 sentelic.c
-rw-r--r-- 1 root root  2994 Sep  1 10:42 sentelic.h
-rw-r--r-- 1 root root  9069 Sep  1 10:42 sermouse.c
-rw-r--r-- 1 root root 26986 Sep  1 10:42 synaptics.c
-rw-r--r-- 1 root root  5174 Sep  1 10:42 synaptics.h
-rw-r--r-- 1 root root 17926 Sep  1 10:42 synaptics_i2c.c
-rw-r--r-- 1 root root  3147 Sep  1 10:42 touchkit_ps2.c
-rw-r--r-- 1 root root   742 Sep  1 10:42 touchkit_ps2.h
-rw-r--r-- 1 root root  9753 Sep  1 10:42 trackpoint.c
-rw-r--r-- 1 root root  4680 Sep  1 10:42 trackpoint.h
-rw-r--r-- 1 root root 15074 Sep  1 10:42 vsxxxaa.c

I tarred up that folder, you can get it here:

http://pj.freefaculty.org/linux/psmouse-alps-0.1-src.tar.gz

If you untar that, and then make the folders executable, you can build the module like so by running this in the src folder

$ make -C /lib/modules/`uname -r`/build M=`pwd` psmouse.ko
make: Entering directory `/usr/src/linux-headers-2.6.39-bpo.2-amd64'
  CC [M]  /home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/psmouse-base.o
  CC [M]  /home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/synaptics.o
  CC [M]  /home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/alps.o
/home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/alps.c: In function ‘alps_process_v3_bitmap_packet’:
/home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/alps.c:362: warning: control reaches end of non-void function
  CC [M]  /home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/elantech.o
  CC [M]  /home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/logips2pp.o
  CC [M]  /home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/lifebook.o
  CC [M]  /home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/sentelic.o
  CC [M]  /home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/trackpoint.o
  LD [M]  /home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/psmouse.o
  MODPOST 1 modules
  CC      /home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/psmouse.mod.o
  LD [M]  /home/pauljohn/LinuxDownloads/Debian/psmouse-alps-0.1/src/psmouse.ko
make: Leaving directory `/usr/src/linux-headers-2.6.39-bpo.2-amd64'

If somebody else has copies of the original patch downloads, please contact me and I'll upload them so any/everybody can have a shot at it.


In order to make the touchpad feel right, synclient settins are required. Finger pressure settings need a lot of testing. On my system, this is what I have in /usr/share/X11/xorg.conf.d/50-synaptics.fdi

Section "InputClass"
        Identifier "touchpad catchall"
        Driver "synaptics"
        MatchIsTouchpad "on"



# This option is recommend on all Linux systems using evdev, but cannot be
# enabled by default. See the following link for details:
# http://who-t.blogspot.com/2010/11/how-to-ignore-configuration-errors.html
        MatchDevicePath "/dev/input/event*"
        Option "VertTwoFingerScroll" "1"
        Option "TouchpadOff"       "0"
        Option "PalmDetect" "1"
        Option "PalmMinWidth" "20"
        Option  "PalmMinZ"    "99"
        Option "CoastingSpeed" "100"
        Option "RightEdge" "1750"
        Option "JumpyCursorThreshold" "100"
        Option "FingerPress" "250"
        Option "TapButton1" "1"
        Option "VertEdgeScroll" "1"
        Option "FingerHigh"  "98"
        Option "FingerLow" "85"
EndSection
Comment 92 Paul Johnson 2011-09-19 03:06:18 EDT
While kernel.org is down, I'm tracking work on this patch at various other places. I Just noticed in this Ubuntu thread

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625/comments/369

There is an 0.2 version of the patch. That post by Seth Forshee points here

http://people.canonical.com/~sforshee/alps-touchpad/psmouse-alps-0.2/

where one can find the dkms packaged module for Ubuntu, but also the 5 patch files. 

That one turns off the multi-touch emulation pending some fixes--OK by me. It otherwise runs fine for me.
Comment 93 Chuck Ebbert 2011-09-26 09:10:02 EDT
Now at v0.6:
http://people.canonical.com/~sforshee/alps-touchpad/
Comment 94 Josh Boyer 2011-09-27 15:27:22 EDT
*** Bug 698794 has been marked as a duplicate of this bug. ***
Comment 95 Josh Boyer 2011-10-03 07:32:23 EDT
*** Bug 707794 has been marked as a duplicate of this bug. ***
Comment 96 Josh Boyer 2011-10-17 20:10:16 EDT
*** Bug 746364 has been marked as a duplicate of this bug. ***
Comment 97 Alfredo Ferrari 2011-10-21 08:51:28 EDT
Hi, Latitude E4310 with Fedora 15 fully up-to-date. Taking version 0.10 of the alps driver at http://people.canonical.com/~sforshee/alps-touchpad/, rebuilding kernel-2.6.40.6-0 using those 8 patches (using dkms is not possible because Fedora kernels have psmouse built-in, not as a module) I eventually got my alps touchpad fully recognized as such and perfectly working. I can control and personalize it through synclient with no problem.

Perhaps those patches are now mature enough to convince the Fedora people about their inclusion instead of dragging on this critical bug (a lot of laptop models are affected)
Comment 98 Sergio Monteiro Basto 2011-10-21 16:18:40 EDT
(In reply to comment #97)
> Hi, eventually got my alps (...)

had you test it ? 

> Perhaps those patches are now mature enough to convince the Fedora people about
> their inclusion instead of dragging on this critical bug (a lot of laptop
> models are affected)

have we one full patch ? , to quickly patch the kernel
Comment 99 Sergio Monteiro Basto 2011-10-21 16:21:50 EDT
(In reply to comment #97)
> rebuilding
> kernel-2.6.40.6-0 using those 8 patches (using dkms is not possible because
> Fedora kernels have psmouse built-in, not as a module) 

yeah , who or where I have to ask to change kernel configs and put psmouse has a kernel module ?
Comment 100 Sergio Monteiro Basto 2011-10-24 07:50:19 EDT
Created attachment 529841 [details]
full patch of http://people.canonical.com/~sforshee/alps-touchpad/psmouse-alps-0.10/

I got my alps touchpad fully recognized as such and perfectly working. I can control and personalize it through synclient with no problem. After suspend and resume still works perfectly.
dmesg | grep alps
[    1.272556] alps.c: E6 report: 00 00 64
[    1.291732] alps.c: E7 report: 73 02 64
[    1.734895] alps.c: E6 report: 00 00 64
[    1.754410] alps.c: E7 report: 73 02 64
[    1.868927] alps.c: trackstick E7 report: 42 02 14
[15331.487149] alps.c: E6 report: 00 00 64
[15331.507406] alps.c: E7 report: 73 02 64
[15331.619961] alps.c: trackstick E7 report: 42 02 14

on my Dell E6410, with kernel-2.6.40.7-0.fc15 and patch in attach.
Comment 101 Simone Caronni 2011-10-26 04:47:07 EDT
Hello,

I'm building an x86_64 kernel right now with the patch applied:

kernel-2.6.40.7-0.rhbz529841.fc15.src.rpm

Sorry to ask here, but how can I push the rpms on repos.fedorapeople.org? I already have an account @fedorapeople.org but the instructions say I have to apply to a group before having the rights to upload.

I have other rpmlint/mock built packages that I would like to host somewhere.

Thanks,
--Simone
Comment 102 Simone Caronni 2011-10-26 13:02:53 EDT
Works great here, on both i686 and x86_64 on a Dell Latitude E6410.

[slaanesh@3zpc0560 ~]$ dmesg | grep -i alps
[    1.300930] alps.c: E6 report: 00 00 64
[    1.325725] alps.c: E7 report: 73 02 64
[    1.768238] alps.c: E6 report: 00 00 64
[    1.787516] alps.c: E7 report: 73 02 64
[    1.914486] alps.c: trackstick E7 report: 42 02 14
[    2.362500] input: AlpsPS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input7

[root@3zpc0560 log]# cat Xorg.0.log| grep -i alps
[    36.082] (II) config/udev: Adding input device AlpsPS/2 ALPS DualPoint TouchPad (/dev/input/event7)
[    36.082] (**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "evdev touchpad catchall"
[    36.082] (**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "touchpad catchall"
[    36.092] (II) Using input driver 'synaptics' for 'AlpsPS/2 ALPS DualPoint TouchPad'
[    36.092] (**) AlpsPS/2 ALPS DualPoint TouchPad: always reports core events
[    36.123] (--) AlpsPS/2 ALPS DualPoint TouchPad: x-axis range 0 - 2000
[    36.123] (--) AlpsPS/2 ALPS DualPoint TouchPad: y-axis range 0 - 1400
[    36.123] (--) AlpsPS/2 ALPS DualPoint TouchPad: pressure range 0 - 127
[    36.123] (--) AlpsPS/2 ALPS DualPoint TouchPad: buttons: left right middle double triple
[    36.123] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid finger width range.  defaulting to 0 - 16
[    36.135] (--) AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
[    36.135] (**) AlpsPS/2 ALPS DualPoint TouchPad: always reports core events
[    36.135] (II) XINPUT: Adding extended input device "AlpsPS/2 ALPS DualPoint TouchPad" (type: TOUCHPAD)
[    36.135] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) MinSpeed is now constant deceleration 2.5
[    36.135] (**) AlpsPS/2 ALPS DualPoint TouchPad: MaxSpeed is now 1.75
[    36.135] (**) AlpsPS/2 ALPS DualPoint TouchPad: AccelFactor is now 0.082
[    36.135] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) keeping acceleration scheme 1
[    36.135] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration profile 1
[    36.135] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration factor: 2.000
[    36.135] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration threshold: 4
[    36.136] (--) AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
[    36.136] (II) config/udev: Adding input device AlpsPS/2 ALPS DualPoint TouchPad (/dev/input/mouse1)
Comment 103 Simone Caronni 2011-10-26 13:08:22 EDT
[slaanesh@3zpc0560 ~]$ synclient -l
Parameter settings:
    LeftEdge                = 300
    RightEdge               = 1700
    TopEdge                 = 210
    BottomEdge              = 1190
    FingerLow               = 12
    FingerHigh              = 14
    FingerPress             = 127
    MaxTapTime              = 180
    MaxTapMove              = 107
    MaxDoubleTapTime        = 180
    SingleTapTimeout        = 180
    ClickTime               = 100
    FastTaps                = 0
    EmulateMidButtonTime    = 75
    EmulateTwoFingerMinZ    = 139
    EmulateTwoFingerMinW    = 7
    VertScrollDelta         = 48
    HorizScrollDelta        = 48
    VertEdgeScroll          = 1
    HorizEdgeScroll         = 0
    CornerCoasting          = 0
    VertTwoFingerScroll     = 0
    HorizTwoFingerScroll    = 0
    MinSpeed                = 1
    MaxSpeed                = 1.75
    AccelFactor             = 0.0819336
    TrackstickSpeed         = 40
    EdgeMotionMinZ          = 14
    EdgeMotionMaxZ          = 79
    EdgeMotionMinSpeed      = 1
    EdgeMotionMaxSpeed      = 195
    EdgeMotionUseAlways     = 0
    TouchpadOff             = 1
    LockedDrags             = 0
    LockedDragTimeout       = 5000
    RTCornerButton          = 0
    RBCornerButton          = 0
    LTCornerButton          = 0
    LBCornerButton          = 0
    TapButton1              = 1
    TapButton2              = 3
    TapButton3              = 2
    ClickFinger1            = 1
    ClickFinger2            = 1
    ClickFinger3            = 1
    CircularScrolling       = 0
    CircScrollDelta         = 0.1
    CircScrollTrigger       = 0
    CircularPad             = 0
    PalmDetect              = 0
    PalmMinWidth            = 10
    PalmMinZ                = 99
    CoastingSpeed           = 20
    CoastingFriction        = 50
    PressureMotionMinZ      = 14
    PressureMotionMaxZ      = 79
    PressureMotionMinFactor = 1
    PressureMotionMaxFactor = 1
    GrabEventDevice         = 1
    TapAndDragGesture       = 1
    AreaLeftEdge            = 0
    AreaRightEdge           = 0
    AreaTopEdge             = 0
    AreaBottomEdge          = 0

If someone has a place to host the kernel packages contact me.

Thanks,
--Simone
Comment 104 Saurabh Pradhan 2011-10-29 06:47:26 EDT
(In reply to comment #103)
> [slaanesh@3zpc0560 ~]$ synclient -l
> Parameter settings:
>     LeftEdge                = 300
>     RightEdge               = 1700
>     TopEdge                 = 210
>     BottomEdge              = 1190
>     FingerLow               = 12
>     FingerHigh              = 14
>     FingerPress             = 127
>     MaxTapTime              = 180
>     MaxTapMove              = 107
>     MaxDoubleTapTime        = 180
>     SingleTapTimeout        = 180
>     ClickTime               = 100
>     FastTaps                = 0
>     EmulateMidButtonTime    = 75
>     EmulateTwoFingerMinZ    = 139
>     EmulateTwoFingerMinW    = 7
>     VertScrollDelta         = 48
>     HorizScrollDelta        = 48
>     VertEdgeScroll          = 1
>     HorizEdgeScroll         = 0
>     CornerCoasting          = 0
>     VertTwoFingerScroll     = 0
>     HorizTwoFingerScroll    = 0
>     MinSpeed                = 1
>     MaxSpeed                = 1.75
>     AccelFactor             = 0.0819336
>     TrackstickSpeed         = 40
>     EdgeMotionMinZ          = 14
>     EdgeMotionMaxZ          = 79
>     EdgeMotionMinSpeed      = 1
>     EdgeMotionMaxSpeed      = 195
>     EdgeMotionUseAlways     = 0
>     TouchpadOff             = 1
>     LockedDrags             = 0
>     LockedDragTimeout       = 5000
>     RTCornerButton          = 0
>     RBCornerButton          = 0
>     LTCornerButton          = 0
>     LBCornerButton          = 0
>     TapButton1              = 1
>     TapButton2              = 3
>     TapButton3              = 2
>     ClickFinger1            = 1
>     ClickFinger2            = 1
>     ClickFinger3            = 1
>     CircularScrolling       = 0
>     CircScrollDelta         = 0.1
>     CircScrollTrigger       = 0
>     CircularPad             = 0
>     PalmDetect              = 0
>     PalmMinWidth            = 10
>     PalmMinZ                = 99
>     CoastingSpeed           = 20
>     CoastingFriction        = 50
>     PressureMotionMinZ      = 14
>     PressureMotionMaxZ      = 79
>     PressureMotionMinFactor = 1
>     PressureMotionMaxFactor = 1
>     GrabEventDevice         = 1
>     TapAndDragGesture       = 1
>     AreaLeftEdge            = 0
>     AreaRightEdge           = 0
>     AreaTopEdge             = 0
>     AreaBottomEdge          = 0
> 
> If someone has a place to host the kernel packages contact me.
> 
> Thanks,
> --Simone

Hi Simone,
        Can you please help to make things working? I have DELL e6410 installed fedora 15. As usual my touch pad's vertical and horizontal scrolling is not working. I don't know how to build a kernel with a patch.

Thanking You,
Saurabh
Comment 105 Simone Caronni 2011-10-30 11:38:18 EDT
Hello,

I built all the i686 and x86_64 packages; Sergio Monteiro Basto will kindly host them. When he's finished setting up the download you will be able to simply install the packages from the web.

Regards,
--Simone
Comment 106 Sergio Monteiro Basto 2011-10-30 19:21:36 EDT
(In reply to comment #105)
> you will be able to
> simply install the packages from the web.

the web place is http://www.serjux.com/simonecaronni/
(all lowercase) 

you may do : 
cd /etc/yum.repos.d/
wget http://www.serjux.com/simonecaronni/simonecaronni.repo
yum --enablerepo=simonecaronni update

and you will configure yum and install a new kernel with patch for alps. 

I'm testing it now 

Regards,
Comment 107 linux4fun 2011-10-31 05:24:50 EDT
Hi,

Thanks for the kernel, compiled with the patch for alps.
I can see that you compiled kernel 2.6.40.8-2. The current kernel for Fedora 15 is 2.6.40.6-0, would you be able to compile this kernel with the patch ?

I am asking this because I use nvidia kernel module as well as wl (broadcom wireless) and using another kernel will break the modules for them both.

Thanks

Fred
Comment 108 Simone Caronni 2011-10-31 06:07:25 EDT
Hello,

the modules won't work anyway, because the kernels and tags are different.

For running modules provided by rpmfusion with other kernels outside of fedora you should run "akmods" (automatic kmods):

http://rpmfusion.org/Howto/nVidia#head-e1b34e02488009b6a78740380ab3108e2e6b8251

Basically it means you have to enable the repository above so it's always available and install the following:

yum --enablerepo=simonecaronni -y install akmod-nvidia

The akmods compile the modules, packages them and install them on the system like normal kmods. Treat it like dkms "over" kmod binary packages.

Regards,
--Simone
Comment 109 Saurabh Pradhan 2011-10-31 07:17:11 EDT
Hi,
   Really thanks you guys. My touchpad is working fine now. But after installing akmod-nvidia i couldn't boot. Stopped at "Starting Wait for Plymouth Boot Screen to Quit..".
Any suggestion ? 
--
Saurabh
Comment 110 Simone Caronni 2011-10-31 07:24:10 EDT
Your system is unable to load the nvidia.ko module. On Fedora the first tty transitions to the graphical desktop so it stops there.

Have you installed the akmod package as posted above?
Comment 111 Simone Caronni 2011-10-31 07:25:53 EDT
On Google there's ton of documentation. Here's one that might help.

http://fedorasolved.org/Members/zcat/akmods

Better ask at rpmfusion, this is the bug for the touchpad.
Comment 112 Saurabh Pradhan 2011-10-31 07:33:53 EDT
(In reply to comment #110)
> Your system is unable to load the nvidia.ko module. On Fedora the first tty
> transitions to the graphical desktop so it stops there.
> 
> Have you installed the akmod package as posted above?

yes i just did "yum --enablerepo=simonecaronni -y install akmod-nvidia"
Comment 113 Saurabh Pradhan 2011-10-31 12:45:08 EDT
(In reply to comment #107)
> Hi,
> 
> Thanks for the kernel, compiled with the patch for alps.
> I can see that you compiled kernel 2.6.40.8-2. The current kernel for Fedora 15
> is 2.6.40.6-0, would you be able to compile this kernel with the patch ?
> 
> I am asking this because I use nvidia kernel module as well as wl (broadcom
> wireless) and using another kernel will break the modules for them both.
> 
> Thanks
> 
> Fred

Hi,
akmod-nvidia is woking perfectly with this kernel. 
All you have to do download and install kernel-devel form  www.serjux.com/simonecaronni/ and "yum --enablerepo=simonecaronni -y install akmod-nvidia" .

--
Saurabh
Comment 114 Matthew Saltzman 2011-10-31 14:00:09 EDT
t(In reply to comment #109)
> Hi,
>    Really thanks you guys. My touchpad is working fine now. But after
> installing akmod-nvidia i couldn't boot. Stopped at "Starting Wait for Plymouth
> Boot Screen to Quit..".
> Any suggestion ? 
> --
> Saurabh

Check /var/log/Xorg.0.log for errors.  When I installed this kernel, 
/etc/X11/xorg.conf was modified and an error introduced.  In particular, 
the ServerLayout stanza had its Identifier field deleted.  Restoring that
fixed X startup.
Comment 115 Simone Caronni 2011-10-31 14:24:11 EDT
Saurabh:

the kernel-devel package is installed along with akmod-nvidia for the running kernel. If it's not installed that means you issued the first command while running the stock Fedora kernel (and the nvidia module I guess), so kernel-devel was already installed or got installed for that particular kernel only.

Matthew:

For various releases Fedora didn't need any xorg.conf to run, all the standard options are autodetected. This means for running the nvidia binary you only need the "Device" section in xorg.conf and the "Files" section in /etc/X11/xorg.conf.d/00-nvidia.conf. If you don't need particular configs for your card you can rely on those which are already setup by the rpmfusion packages.

Back to the topic, can we hope to have the alps patch applied to Fedora kernels?

Regards,
--Simone
Comment 116 Josh Boyer 2011-10-31 14:48:33 EDT
(In reply to comment #115)
> Back to the topic, can we hope to have the alps patch applied to Fedora
> kernels?

Yes, let's stay on topic.

The driver will be backported when it gets into Linus' tree.
Comment 117 Sergio Monteiro Basto 2011-10-31 15:21:19 EDT
(In reply to comment #116)
> (In reply to comment #115)
> > Back to the topic, can we hope to have the alps patch applied to Fedora
> > kernels?
> 
> Yes, let's stay on topic.
> 
> The driver will be backported when it gets into Linus' tree.

and have psmouse as module in Fedora kernel is possible ?
or have we some reason to have it built-in in kernel ?
Comment 118 Reinout van Schouwen 2011-11-01 07:06:27 EDT
Just another confirmation that the patched kernel fixes the touchpad problem (Dell Latitude E6410).
Comment 119 Antoni Buszta 2011-11-01 12:47:48 EDT
Will this patch be included in Fedora 16? Fedora 16 Beta with 3.1.0-5.fc16.x86_64 kernel still detects ALPS touchpad as PS/2 Generic Mouse. Should I compile 3.1.0 kernel myself with patch or wait for F16 Release?
Comment 120 Josh Boyer 2011-11-01 13:02:14 EDT
(In reply to comment #119)
> Will this patch be included in Fedora 16? Fedora 16 Beta with

No.  If anything, it will only come as a post-release update to F16.
Comment 121 pankaj pandey 2011-11-07 05:22:33 EST
Thanks for the patch Simone and Sergio. I rebuilt it for F16 kernel 3.1.0-7.fc16.x86_64 and it works great.
Comment 122 Reinout van Schouwen 2011-11-07 06:49:21 EST
(In reply to comment #121)
> Thanks for the patch Simone and Sergio. I rebuilt it for F16 kernel
> 3.1.0-7.fc16.x86_64 and it works great.

Is there a patched F16 kernel available already in some repository, or could you provide a small HOWTO please?
Comment 123 pankaj pandey 2011-11-07 07:15:52 EST
I could not find a patched kernel so i built my own following the instructions at http://fedoraproject.org/wiki/Docs/CustomKernel . The page also has instructions to apply patch, so you need to follow that to apply Sergio's patch attached in this bug.

In the "Build the new kernel" section you need to build only the kernel and kernel-devel packages using "--with baseonly --without debuginfo" option to the rpmbuild command.
Also remember to replace the 2.6 with 3.1 in the kernel names, and set the $ver and $fedver variables.
Comment 124 Josh Boyer 2011-11-09 13:19:33 EST
*** Bug 752317 has been marked as a duplicate of this bug. ***
Comment 125 DM Smith 2011-11-09 15:26:34 EST
Let me know if I should bump this to f16 where it is still a bug.
Comment 126 Josh Boyer 2011-11-09 15:32:01 EST
Bumped to rawhide and added the FutureFeature keyword so it doesn't get auto-closed.
Comment 127 Simone Caronni 2011-11-09 19:43:06 EST
I'm currently on a job transfer across continents so I cannot contribute that much.

I will provide packages for Fedora 16 in a few days.

Regards,
--Simone
Comment 128 Sergio Monteiro Basto 2011-11-12 17:32:32 EST
(In reply to comment #122)
> (In reply to comment #121)
> > Thanks for the patch Simone and Sergio. I rebuilt it for F16 kernel
> > 3.1.0-7.fc16.x86_64 and it works great.
> 
> Is there a patched F16 kernel available already in some repository, or could
> you provide a small HOWTO please?

kernel updated to kernel-3.1.1-1.fc16
you may do : 
cd /etc/yum.repos.d/
rm simonecaronni.repo (if you have one , because this file was updated to support repos for F15 and F16) 
wget http://www.serjux.com/simonecaronni/simonecaronni.repo
yum --enablerepo=simonecaronni update

and you will configure yum and install a new kernel with patch for alps. 

The packages aren't signed , and just packages for x86_64, I provide this until Simone provides a better ones. 

BTW, the patch for alps is absolutely perfect and should be upstream ASAP :).
Comment 129 Paul Visco 2011-11-13 22:01:26 EST
Wow, thanks.  I have been waiting since 09/02/10 to be able to scroll and type normally on my Dell M4500.  This patch works perfectly and provides full touch pad control panel support.  Two finger scroll vertical and horizontal, disable touchpad while typing, edge scrolling (vertical), mouse clicks with touchpad.
Comment 130 Sean Lawton 2011-11-14 19:45:28 EST
I feel like I have been waiting for this forever.  Will it be eventually included in a fedora 15 update?
Comment 131 Josh Boyer 2011-11-16 09:27:18 EST
(In reply to comment #130)
> I feel like I have been waiting for this forever.  Will it be eventually
> included in a fedora 15 update?

See comment #116
Comment 132 Simone Caronni 2011-11-22 07:10:37 EST
Hello,

I'm trying to rebuild Fedora 16 packages but every time mock bails out with the following while packaging files inside the rpms:

Processing files: kernel-tools-3.1.1-2.rhbz529841.fc15.x86_64
error: File must begin with "/": %{_unitdir}/cpupower.service
RPM build errors:
    File must begin with "/": %{_unitdir}/cpupower.service
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.

It seems that mock doesn't use the correct rpmmacros, those are defined correctly in rpm:

$ rpm --showrc | grep _unitdir
-14: _unitdir	/lib/systemd/system

Does anybody have an idea on why mock doesn't pick up the %define?

A quick hack could be putting this line in your .rpmmacros, but I would like to know what's going on:

%_unitdir	/lib/systemd/system

Thanks,
--Simone
Comment 133 Leon Keijser 2011-11-22 10:38:50 EST
Hi Simone,

Could you perhaps make the SRPM available, so i can have a look?

thanks,

Léon
Comment 134 Sergio Monteiro Basto 2011-11-22 16:05:27 EST
(In reply to comment #133)
> Hi Simone,
> 
> Could you perhaps make the SRPM available, so i can have a look?
> 
> thanks,
> 
> Léon

http://www.serjux.com/simonecaronni/repo/15/SRPMS/
and 
mine 
http://www.serjux.com/simonecaronni/repo/16/SRPMS/
Comment 135 Sergio Monteiro Basto 2011-11-22 23:48:18 EST
(In reply to comment #134)

> > Could you perhaps make the SRPM available, so i can have a look?

Sorry for short message , 
I update 
http://www.serjux.com/simonecaronni/ 
repo with kernel 3.1.2-1 , I call it z590880 to be bigger of official kernel with same version.

I put in root of http://www.serjux.com/simonecaronni/
some documentation and the patch and how I apply it.
only x86_64 available , who have a tackpad like this one have a 64 bits laptop isn't it ?
Comment 136 Simone Caronni 2011-11-23 04:35:28 EST
Hello

you can put buildid directly in the spec file if you want. A comment for the changelog should be put in place so at least one knows what has changed in the various revisions.

[slaanesh@3zpc0560 SPECS]$ diff -Nar kernel.spec kernel.spec.rhbz590880 
28a29,30
> %define buildid .rhbz590880
> 
780a783,785
> # https://bugzilla.redhat.com/attachment.cgi?id=590880
> Patch30000: alps.patch
> 
1434a1440,1442
> #https://bugzilla.redhat.com/attachment.cgi?id=590880
> ApplyPatch alps.patch
> 
2135a2144,2146
> * Tue Nov 20 2011 Simone Caronni <negativo17@gmail.com>
> - ALPS patch: https://bugzilla.redhat.com/attachment.cgi?id=590880
> 

To sign the packages you only need to generate a gpg key, put the following in your .rpmmacros:

%_signature     gpg
%_gpg_name      Simone Caronni

And run "rpm --addsign" on the packages.

Don't you have the same problem I have with mock regarding the rpmmacros?

Thanks,
--Simone
Comment 137 Jan Vcelak 2011-11-26 18:31:12 EST
Trackpad works fine with the patch, however I can not change the trackstick speed. 'synclient TrackstickSpeed=<value>' has no effect. Which is very uncomfortable, because the trackstick is very sensitive and the cursor moves when I type on the keyboard around the trackstick. Quite often the cursor does not stop moving after releasing the trackstick, but a few seconds later. Am I the only one with this problem?
Comment 138 Matthew Saltzman 2011-11-30 04:44:26 EST
On a whim, I tried to rebuild the latest F15 kernel (kernel-2.6.41.1-1.fc15.x86_64) with the ALPS patch, but I have a problem.  I took the new RPM's spec file and added the lines from Simone's SPEC file as shown here (with a few lines for context):

Around line 681:

    #backport brcm80211 from 3.2-rc1
    Patch21090: brcm80211.patch
    Patch21091: bcma-brcmsmac-compat.patch

    # https://bugzilla.redhat.com/attachment.cgi?id=529841
    Patch30000: alps.patch

    %endif

and around line 1247:

    #backport brcm80211 from 3.2-rc1
    ApplyPatch brcm80211.patch
    # Remove overlap between bcma/b43 and brcmsmac and reenable bcm4331
    ApplyPatch bcma-brcmsmac-compat.patch

    #https://bugzilla.redhat.com/attachment.cgi?id=529841
    ApplyPatch alps.patch

    # END OF PATCH APPLICATIONS

    %endif

But when I run rpmbuild, it terminates with an error:

    + case "$patch" in
    + patch -p1 -F1 -s
    + ApplyPatch alps.patch
    + local patch=alps.patch
    + shift
    + '[' '!' -f /home/mjs/rpmbuild/SOURCES/alps.patch ']'
    ERROR: Patch  alps.patch  not listed as a source patch in specfile
    error: Bad exit status from /var/tmp/rpm-tmp.GOl6YK (%prep)


    RPM build errors:
        Bad exit status from /var/tmp/rpm-tmp.GOl6YK (%prep)

What am I missing?
Comment 139 Simone Caronni 2011-11-30 08:38:45 EST
Hello,

my .rpmmacros problem was related to some mock rpmfusion's file. Now I'm able to rebuild everything again.

I'll try to be more active in keeping the pace with the updates in the future.

I'm uploading the following signed packages to Sergio Monteiro Basto's website, I will create the repository metadata when it finishes:

kernel-3.1.4-1.rhbz590880.fc16.src.rpm
kernel-3.1.4-1.rhbz590880.fc16.x86_64.rpm
kernel-debug-3.1.4-1.rhbz590880.fc16.x86_64.rpm
kernel-debug-debuginfo-3.1.4-1.rhbz590880.fc16.x86_64.rpm
kernel-debug-devel-3.1.4-1.rhbz590880.fc16.x86_64.rpm
kernel-debuginfo-3.1.4-1.rhbz590880.fc16.x86_64.rpm
kernel-debuginfo-common-x86_64-3.1.4-1.rhbz590880.fc16.x86_64.rpm
kernel-devel-3.1.4-1.rhbz590880.fc16.x86_64.rpm
kernel-headers-3.1.4-1.rhbz590880.fc16.x86_64.rpm
kernel-tools-3.1.4-1.rhbz590880.fc16.x86_64.rpm
kernel-tools-debuginfo-3.1.4-1.rhbz590880.fc16.x86_64.rpm
kernel-tools-devel-3.1.4-1.rhbz590880.fc16.x86_64.rpm

Regarding the packages, apart from the alps.patch itself these are the only modifications I apply to the spec file:

------------------------------------------------------------------

%define buildid .rhbz590880

# https://bugzilla.redhat.com/attachment.cgi?id=590880
Patch30000: alps.patch

#https://bugzilla.redhat.com/attachment.cgi?id=590880
ApplyPatch alps.patch

* Wed Nov 30 2011 Simone Caronni <negativo17@gmail.com>
- ALPS patch: https://bugzilla.redhat.com/attachment.cgi?id=590880

------------------------------------------------------------------

Regards,
--Simone
Comment 140 Matthew Saltzman 2011-11-30 10:29:57 EST
(In reply to comment #139)
> Hello,
>...
> 
> Regarding the packages, apart from the alps.patch itself these are the only
> modifications I apply to the spec file:
> 
> ------------------------------------------------------------------
> 
> %define buildid .rhbz590880
> 
> # https://bugzilla.redhat.com/attachment.cgi?id=590880
> Patch30000: alps.patch
> 
> #https://bugzilla.redhat.com/attachment.cgi?id=590880
> ApplyPatch alps.patch
> 
> * Wed Nov 30 2011 Simone Caronni <negativo17@gmail.com>
> - ALPS patch: https://bugzilla.redhat.com/attachment.cgi?id=590880
> 
> ------------------------------------------------------------------
> 
> Regards,
> --Simone

Those are my only changes as well.  I found that rebuilding the kernel-2.6.40.8-2.rhbz529841.fc15.x86_64 package fails with the same error, but on an earlier patch.  I'm really confused now.
Comment 141 Simone Caronni 2011-11-30 10:44:56 EST
I've obtained packaging access, so in a couple of hours you will be able to access a repository at:

http://slaanesh.fedorapeople.org/

I'll be putting there kernels for fedora 15/16 i386/x86_64 as time permits.

Regards,
--Simone
Comment 142 Reinout van Schouwen 2011-12-01 08:07:56 EST
(In reply to comment #141)
> I've obtained packaging access, so in a couple of hours you will be able to
> access a repository at:
> 
> http://slaanesh.fedorapeople.org/

The http://slaanesh.fedorapeople.org/alps-touchpad/alps-touchpad.repo file is missing...?
Comment 143 Tigran Mkrtchyan 2011-12-01 08:21:08 EST
It there a way to get it to upstream? Custom kernel os OK, but if you depend on other binary kernel modules then there is a conflict.
Comment 144 Simone Caronni 2011-12-01 08:31:20 EST
> The http://slaanesh.fedorapeople.org/alps-touchpad/alps-touchpad.repo file is
> missing...?

Sorry, it is now fixed. It is in the root.
I'll be uploading i686 packages in a few moments.
Comment 145 Matthew Saltzman 2011-12-01 13:20:38 EST
(In reply to comment #144)
> > The http://slaanesh.fedorapeople.org/alps-touchpad/alps-touchpad.repo file is
> > missing...?
> 
> Sorry, it is now fixed. It is in the root.
> I'll be uploading i686 packages in a few moments.

Will there be new F15 kernels soon?  I'm looking forward to upgrading, but not for a couple more weeks.

Thanks for doing this.
Comment 146 Sergio Monteiro Basto 2011-12-01 15:19:07 EST
First thanks Simone for all your work .

(In reply to comment #143)
> It there a way to get it to upstream? 
yeah that is a good question we should thinking how upstream this patch.
and we also could consider change Fedora kernel to have psmouse has module and build just a module with akomds, but no one here of the kernel maintainers reply to that possibility  .
Comment 147 Simone Caronni 2011-12-02 03:56:44 EST
> Will there be new F15 kernels soon?  I'm looking forward to upgrading, but not
> for a couple more weeks.

Hello,

I can provide them as long as I delete all debuginfo packages and debug kernels. If that's ok for most of the people I can proceed. fedorapeople.org only gives 2gb of quota.

Regards,
--Simone
Comment 148 Matthew Saltzman 2011-12-02 04:16:05 EST
(In reply to comment #147)
> > Will there be new F15 kernels soon?  I'm looking forward to upgrading, but not
> > for a couple more weeks.
> 
> Hello,
> 
> I can provide them as long as I delete all debuginfo packages and debug
> kernels. If that's ok for most of the people I can proceed. fedorapeople.org
> only gives 2gb of quota.
> 
> Regards,
> --Simone

Speaking for myself, I wouldn't mind not having debug stuff for F15, as I don't plan on using F15 on this machine much longer.  I haven't had a need for kernel debug packages for some time, but it would probably be good to keep them around for F16 packages, just on principle.

I wouldn't mind rolling my own F15 kernels, except for the problem I had (described above).  If I could resolve that, I'd be just as happy.
Comment 149 Simone Caronni 2011-12-02 04:27:57 EST
To host f15 stuff I need to remove debug packages also for fedora 16, as a default i386/x86_64 build generates nearly 2gb of rpms.
Comment 150 Michael 2011-12-02 05:47:04 EST
[Errno 14] HTTP Error 403 - Forbidden : http://slaanesh.fedorapeople.org/alps-touchpad/fedora/16/i386/os/kernel-PAE-3.1.4-1.rhbz590880.fc16.i686.rpm

Seems like there's a permission error for the i386 directory. I can download files find from the x86_64 directory.
Comment 151 Simone Caronni 2011-12-02 05:53:35 EST
Fixed, sorry for that.
Comment 152 Simone Caronni 2011-12-02 07:57:49 EST
debug/debuginfo packages gone for good, I wasn't able to put a single bit in addition into the folder. I'm building Fedora 15 packages.
Comment 153 Simone Caronni 2011-12-02 13:02:07 EST
Finished adding Fedora 15 packages at: http://slaanesh.fedorapeople.org
Comment 154 Josh Boyer 2011-12-02 16:22:46 EST
The ALPS patches from the 'next' branch of the input tree have been applied to the rawhide kernel.  Tomorrow's rawhide should contain those changes.

If they don't cause any issues, we'll look at backporting them to f15/f16
Comment 155 Tigran Mkrtchyan 2011-12-02 17:26:04 EST
Cool! Looking forward for kernel updates from redhat!

Thanks!
Comment 156 Chandana De Silva 2011-12-06 02:49:16 EST
I have just now updated to 3.1.4-1.fc16.x86_64, but the touch pad is still not working on my Dell Latitude E6500. When can we expect this patch on the Fedora 16 kernel ?
Comment 157 Simone Caronni 2011-12-06 02:56:52 EST
Hello,

that one is on my repo at http://slaanesh.fedorapeople.org; it still does not have the patch.

The patch has come into 3.2.0-0.rc4.git1.4.fc17:

http://koji.fedoraproject.org/koji/buildinfo?buildID=276908

You should probably wait some more days. Keep an eye on the koji build page for the kernel and you will spot when it lands in Fedora 16:

http://koji.fedoraproject.org/koji/packageinfo?packageID=8

Regards,
--Simone
Comment 158 Josh Boyer 2011-12-06 09:01:36 EST
*** Bug 760489 has been marked as a duplicate of this bug. ***
Comment 159 Sean Lawton 2011-12-08 00:50:04 EST
Is there any ETA on when this will make it to a FC15 update?  I really do not want to deal with a custom kernel (again).  Is it in the FC16 already?

Any further information is appreciated.

Thanks for all your work!
Comment 160 Josh Boyer 2011-12-08 08:34:02 EST
(In reply to comment #159)
> Is there any ETA on when this will make it to a FC15 update?  I really do not
> want to deal with a custom kernel (again).  

Probably not for another week or two.

> Is it in the FC16 already?

No.  It will get backported to f15/f16 at the same time.

> Any further information is appreciated.

We're waiting to hear feedback on the changes in the rawhide kernel.  They have only been there for a few days.  If anyone is in a position to test that kernel and let us know how the touchpad is working, we'd love to hear it.
Comment 161 Nenad Opsenica 2011-12-08 09:22:06 EST
What about back-porting this patch to EL6 kernel? Any clues?
Comment 162 Josh Boyer 2011-12-08 09:39:10 EST
(In reply to comment #161)
> What about back-porting this patch to EL6 kernel? Any clues?

RHEL customers will need to go through the proper customer support channels in order to request this change in any versions of RHEL.
Comment 163 Fedora Update System 2011-12-13 08:38:28 EST
kernel-3.1.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.5-2.fc16
Comment 164 Leon Keijser 2011-12-13 13:02:53 EST
Updated but still not recognized, while Simone's patched kernel does fix the problem though. 

Using a Dell Precesion M4500.
Comment 165 Leon Keijser 2011-12-13 13:07:06 EST
I'm an idiot. Was running kernel-3.1.5-1 instead of -2 :(
Comment 166 Sergio Monteiro Basto 2011-12-13 13:11:40 EST
title is : Dell inspiron E6410

but I got a Dell Latitude E6410 !? 

the tilte should be fixed ?
Comment 167 DM Smith 2011-12-13 14:29:11 EST
My bad. I reported the problem and I have a Latitude E6410, not an Inspiron.

I never noticed that mistake before you mentioned it. However, I can't fix the title.
Comment 168 Sergio Monteiro Basto 2011-12-13 15:03:45 EST
(In reply to comment #167)
> My bad. I reported the problem and I have a Latitude E6410, not an Inspiron.
> 
> I never noticed that mistake before you mentioned it. However, I can't fix the
> title.

as owner of ticket you got a link with (edit) on right of 2nd line , before status modifed 
Bug 590880 - (alps-touchpad) Trackpad on Dell Inspiron E6410 not recognized (edit)
Comment 169 DM Smith 2011-12-13 15:52:42 EST
Thanks Sergio, I fixed it.
Comment 170 Sean Lawton 2011-12-13 16:19:10 EST
I don't see this update on the testing or pending lists for fc15.  Will it be added soon?
Comment 171 Fedora Update System 2011-12-13 16:51:21 EST
Package kernel-3.1.5-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.1.5-2.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17052/kernel-3.1.5-2.fc16
then log in and leave karma (feedback).
Comment 172 Josh Boyer 2011-12-13 20:08:19 EST
(In reply to comment #170)
> I don't see this update on the testing or pending lists for fc15.  Will it be
> added soon?

Once the F16 update proves to generally work for people with this hardware, and doesn't otherwise cause issues.  The base kernel between f15 and f16 is the same, so there really isn't a backport effort required.  We're just being cautious.
Comment 173 Fabio Canepa 2011-12-14 03:18:38 EST
I've a Dell Latitude E6510 and this update fixes the bug for me!
Since I use Nvidia binary driver from rpmfusion using akmod, in order to update correctly I'd to update with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.1.5-2.fc16 kernel-devel-3.1.5-2.fc16 kernel-headers-3.1.5-2.fc16'
Comment 174 Peter van Ieperen 2011-12-14 03:20:46 EST
WOW!! It also fixes the same problem with Dell Latitude E5520.
Comment 175 Jan-Thomas Czornack 2011-12-14 04:32:09 EST
The touchpad now works fine and can be configured within Gnome3 on my E6420XFR. Thank you very much for your effort!

Kernel: 3.1.5-2.fc16.i686
Comment 176 Antoni Buszta 2011-12-14 04:42:17 EST
Detected as AlpsPS/2 ALPS DualPoint TouchPad with 3.1.5-2.fc16.i686 kernel on my Dell Latitude E6410. Tested and working:
* vertical and horizontal scrolling
* disable touchpad while typing
* two finger scrolling
Thanks!
Comment 177 Chandana De Silva 2011-12-14 05:08:34 EST
Works on my Dell Latitude E6500.
Thank you!
Comment 178 Reinout van Schouwen 2011-12-14 05:37:56 EST
During the update process I see a quite unsettling warning:

Running Transaction
  Installing : kernel-3.1.5-2.fc16.x86_64                                                                                                                                                                  1/2 
grubby fatal error: unable to find a suitable template
  Cleanup    : kernel-3.1.2-1.fc16.x86_64                                                                                                                                                                  2/2 

Removed:
  kernel.x86_64 0:3.1.2-1.fc16                                                                                                                                                                                 

Installed:
  kernel.x86_64 0:3.1.5-2.fc16                                                                                                                                                                                 

Complete!
Comment 179 Mads Kiilerich 2011-12-14 13:16:07 EST
(In reply to comment #178)
> grubby fatal error: unable to find a suitable template

Not related and probably not serious at all. It is probably caused by updating a boot loader configuration file you no longer use. See bug 730357.
Comment 180 Fedora Update System 2011-12-14 18:39:55 EST
kernel-3.1.5-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 181 cam 2011-12-15 03:05:19 EST
Very pleased to confirm this works with my hardware, HP Mini 311c. Great to see this long-standing bug progressed.
I will keep a close eye on performance and suspend/resume as that has been a problem with the previous driver.
Comment 182 Fedora Update System 2011-12-15 13:53:44 EST
kernel-2.6.41.5-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.5-4.fc15
Comment 183 Simone Caronni 2011-12-16 05:21:30 EST
I'm going to remove the repository on people.fedoraproject.org.

Regards,
--Simone
Comment 184 Oscar Yanez 2011-12-16 12:52:00 EST
Thanks everyone. Love to confirm that installation o kernel 3.1.2-5 on my Dell Inspiron 15R fixed the trackpad issues. Following comment #181 I've been testing suspend/resume with no issues so far.
Comment 185 Oscar Yanez 2011-12-16 12:53:38 EST
(In reply to comment #184)
> Thanks everyone. Love to confirm that installation o kernel 3.1.2-5 on my Dell
> Inspiron 15R fixed the trackpad issues. Following comment #181 I've been
> testing suspend/resume with no issues so far.

Sorry, I meant kernel 3.1.5-2.
Comment 186 Roberto Doriguzzi 2011-12-21 09:25:50 EST
(In reply to comment #183)
> I'm going to remove the repository on people.fedoraproject.org.
> 
> Regards,
> --Simone

Thanks Simone for your job. It was very useful.

--roberto
Comment 187 Fedora Update System 2011-12-21 20:17:29 EST
kernel-2.6.41.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.6-1.fc15
Comment 188 Nate P. 2011-12-24 01:37:05 EST
Confirming update 100% working on a Dell Latitude E6510.  Thanks for this!
Comment 189 Sean Lawton 2012-01-11 14:18:38 EST
Why has this not made it to a fedora 15 kernel yet?
Comment 190 Josh Boyer 2012-01-11 14:25:05 EST
(In reply to comment #189)
> Why has this not made it to a fedora 15 kernel yet?

It has.  Repeatedly.  Every kernel including and after the one in comment #182 has the patches in it.

F15 is now the oldest supported release. The latest kernel in the stable updates repository is kernel-2.6.41.4-1.fc15, but f15 updates-testing has kernel-2.6.41.8-1.fc15.  If it gets more karma, it will eventually get to stable.
Comment 191 Nate P. 2012-01-11 14:28:26 EST
(In reply to comment #189)
> Why has this not made it to a fedora 15 kernel yet?

Just enable the updates-testing repo in F15 and you'll get it.  I've been running it with no problems so far.
Comment 192 Andrew Meredith 2012-11-17 16:34:17 EST
I have a Dell Latitude E6530 with a clean installed copy of Fedora 17.

The trackpad is seen as "PS/2 Generic Mouse" and synclient shows:

# synclient -l
Couldn't find synaptics properties. No synaptics driver loaded?

The trackpad will move the mouse and accept a tap as a click. It won't allow scrolling. The gnome configuration shows it as a conventional mouse, no trackpad tab.

Please let me know if there is anything I can run to determine if this is the same hardware as above or if we are now going round this whole loop again with a "New Improved" Alps trackpad.
Comment 193 Andrew Meredith 2012-11-17 16:37:04 EST
I have a Dell Latitude E6530 with a clean installed copy of Fedora 17.

The trackpad is seen as "PS/2 Generic Mouse" and synclient shows:

# synclient -l
Couldn't find synaptics properties. No synaptics driver loaded?

The trackpad will move the mouse and accept a tap as a click. It won't allow scrolling. The gnome configuration shows it as a conventional mouse, no trackpad tab.

Please let me know if there is anything I can run to determine if this is the same hardware as above or if we are now going round this whole loop again with a "New Improved" Alps trackpad.
Comment 194 Sergio Monteiro Basto 2012-11-18 19:15:44 EST
On https://bugzilla.kernel.org/show_bug.cgi?id=14660#c154 they mention open a new bug report for support a new hardware, but don't know which is the report . Try looking on  bugzilla.kernel.org .
Regards,

Note You need to log in before you can comment on or make changes to this bug.